import { AfterViewInit, OnDestroy, AfterViewChecked, ElementRef, NgZone } from '@angular/core';
import { DataTableComponent } from './data-table.component';
import { Subscription } from 'rxjs';
export declare class ScrollComponent implements AfterViewInit, OnDestroy, AfterViewChecked {
    dt: DataTableComponent;
    el: ElementRef;
    zone: NgZone;
    columns: any;
    scrollHeaderViewChild: ElementRef;
    scrollHeaderBoxViewChild: ElementRef;
    scrollBodyViewChild: ElementRef;
    scrollTableViewChild: ElementRef;
    scrollLoadingTableViewChild: ElementRef;
    virtualScrollerViewChild: ElementRef;
    headerScrollListener: Function;
    bodyScrollListener: Function;
    siblingBody: Element;
    scrollableSiblingBody: Element;
    _scrollHeight: string;
    subscription: Subscription;
    dataCountSubscription: Subscription;
    initialized: boolean;
    preventBodyScrollPropagation: boolean;
    page: number;
    constructor(dt: DataTableComponent, el: ElementRef, zone: NgZone);
    scrollHeight: string;
    ngAfterViewChecked(): void;
    ngAfterViewInit(): void;
    bindEvents(): void;
    unbindEvents(): void;
    onHeaderScroll(event: any): void;
    onBodyScroll(event: any): void;
    setScrollHeight(): void;
    setVirtualScrollerHeight(): void;
    hasVerticalOverflow(): boolean;
    alignScrollBar(): void;
    ngOnDestroy(): void;
}
